org.eclipse.graphiti.services

## Class Graphiti

- java.lang.Object
- - org.eclipse.graphiti.services.Graphiti

    public class Graphiti
    extends java.lang.Object

This class is the main access point to all public Graphiti services. These services can be used to work on your pictogram model. E.g. there are services for creation, layout and query.

### Constructor Summary

Constructors
Constructor and Description
`Graphiti()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ICreateService` `getCreateService()`
`static IGaCreateService` `getGaCreateService()`
`static IGaLayoutService` `getGaLayoutService()`
`static IGaService` `getGaService()`
`static ILayoutService` `getLayoutService()`
`static ILinkService` `getLinkService()`
`static IMigrationService` `getMigrationService()`
`static IPeCreateService` `getPeCreateService()`
`static IPeLayoutService` `getPeLayoutService()`
`static IPeService` `getPeService()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Graphiti

    public Graphiti()

### Method Detail

#### getGaCreateService

    public static IGaCreateService getGaCreateService()

Returns:
  the creation service for GraphicsAlgoritm's

#### getGaLayoutService

    public static IGaLayoutService getGaLayoutService()

Returns:
  the layout service for GraphicsAlgoritm's

#### getGaService

    public static IGaService getGaService()

Returns:
  the full service for GraphicsAlgoritm's

#### getPeCreateService

    public static IPeCreateService getPeCreateService()

Returns:
  the creation service for PictogramElement's

#### getPeLayoutService

    public static IPeLayoutService getPeLayoutService()

Returns:
  the layout services for PictogramElement's

#### getPeService

    public static IPeService getPeService()

Returns:
  the full service for PictogramElement's

#### getLayoutService

    public static ILayoutService getLayoutService()

Returns:
  the layout service for PictogramElement's and GraphicsAlgorithm's

#### getCreateService

    public static ICreateService getCreateService()

Returns:
  the creation service for PictogramElement's and GraphicsAlgorithm's

#### getLinkService

    public static ILinkService getLinkService()

Returns:
  the link service (for links between PictogramElement's and BusinessObject's)

#### getMigrationService

    public static IMigrationService getMigrationService()

Returns:
  the migration service
Since:
  0.8.0